%global pypi_name beancount-chase-bank
%global pypi_version 0.2.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Import Chase banking transactions into beancount format

License:        MIT
URL:            https://github.com/mtlynch/beancount-chase
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%generate_buildrequires
%pyproject_buildrequires


%description
 beancount-chase-bank[![PyPI]( [![CircleCI]( [![License]( provides an Importer
for converting CSV exports Chase bank transactions into [Beancount]( v2 format.
Installationbash pip install beancount-chase-bank Checking AccountsAdd the
Chase Checking importer to your account as follows:

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
 beancount-chase-bank[![PyPI]( [![CircleCI]( [![License]( provides an Importer
for converting CSV exports Chase bank transactions into [Beancount]( v2 format.
Installationbash pip install beancount-chase-bank Checking AccountsAdd the
Chase Checking importer to your account as follows:


%prep
%autosetup -n %{pypi_name}-%{pypi_version}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files beancount_chase


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Mon Jun 06 2022 Felix Kaechele <felix@kaechele.ca> - 0.2.0-1
- Initial package.
